// Tests the non-restricted state space OccBin PKF path (exercises the else
// branch of restrict_state_space in dsge_likelihood.m and kalman_update_algo_1.m)

@#include "NKM_common.inc"

    occbin_setup(likelihood_piecewise_kalman_filter);
    options_.occbin.likelihood.restrict_state_space = false;
    estimation(
            datafile=dataobsfile, mode_file=NKM_mh_mode_saved,
            mode_compute=0, nobs=120, first_obs=1,
            mh_replic=0, plot_priors=0, smoother,
            consider_all_endogenous);
